MINCPIK(1)

NAME
mincpik - generate images from minc files

SYNOPSIS
mincpik [options] <infile>.mnc [<image.type>]

DESCRIPTION
mincpik generates image files from MINC volumes using the Imagemagick convert utility. For a complete list of output file types see the convert man pages.

General options

-verbose
    print out extra information

-clobber
    overwrite the output file if it exists already

-fake
    usually used in combination with -verbose to echo commands only

-slice
    slice number to get (note this is in voxel co-ordinates)

-scale
    scaling factor for resulting image, by default images are output at twice their original resolution

-width
    autoscale the resulting image to have a fixed image width (in pixels)

-depth
    bit-depth for resulting image 8 or 16 (MSB machines only)

-title
    add a title to the resulting image, if just this option is specified the text used for the title is the name of the input image file. -title_text specify the title text to use. This option must be used in conjunction with -title

Image range and lookup table options

-range min max
    valid range of values to use from MINC file

-image_range min max
    range of image values to use for pixel intensity

-auto_range
    automatically determine image range using a 5 and 95% PcT. (histogram)

-lookup arguments
    arguments to pass to minclookup

Slicing options

-transverse
    get a transverse slice

-axial
    synonym for transverse

-coronal
    get a coronal slice

-sagittal
    get a sagital slice

-allthree
    this option is deprecated, use -triplanar instead

Triplanar options

-triplanar
    create a triplanar view of the input MINC file

-tilesize
    pixel size for each image in a triplanar

-sagittal_offset
    offset the saggital slice from the centre in the triplanar

-vertical
    create a vertical triplanar series of images (this is the default)

-horizontal
    create a horizontal triplanar instead of a vertical one

Generic options for all commands:

-help
    Print summary of command-line options and abort.

AUTHOR
Andrew Janke - <a.janke@gmail.com>

SEE ALSO
minclookup(1), convert(1), display(1).